package org.springblade.core.log.service;

import org.springblade.core.log.entity.LogApi;
import org.springblade.core.log.entity.LogError;
import org.springblade.core.log.entity.LogUsual;
import org.springframework.stereotype.Service;

import lombok.AllArgsConstructor;

/**
 *
 * @author 
 */
@Service
@AllArgsConstructor
public class LogService{

	private final LogUsualService usualService;
	private final LogApiService apiService;
	private final LogErrorService errorService;

	public Boolean saveUsualLog(LogUsual log) {
		return usualService.save(log);
	}

	public Boolean saveApiLog(LogApi log) {
		return apiService.save(log);
	}

	public Boolean saveErrorLog(LogError log) {
		return errorService.save(log);
	}

}
